Debian Bug report logs - #292019
O: binstats -- Statistics tool for installed programs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Angel Ramos <seamus@debian.org>

Date: Mon, 24 Jan 2005 16:33:01 UTC

Severity: normal

Fixed in version binstats/1.08-7

Done: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292019; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Angel Ramos <seamus@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Angel Ramos <seamus@debian.org>
To: submit@bugs.debian.org
Subject: O: binstats -- Statistics tool for installed programs
Date: Mon, 24 Jan 2005 18:26:31 +0100
Package: wnpp
Severity: normal

This package is not updated since 4 years ago. I orphan this package.

Angel Ramos

The package description is:
 A utility to aid the tidying up of binaries, interpreted scripts, and
 dynamic libraries.  It can find the number and identity of a.out and
 ELF binaries, plus their debugging symbols status, setuid status, and
 dynamic library dependence.  It can count the number of Java bytecode
 programs, tally up the main types of scripts, and look for unidentified
executable text files.
 
 Also it is able to find any duplicated executable names, unused
 libraries, binaries with missing libraries, statically linked
binaries, and duplicated manual page names.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292019; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 292019@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 292019@bugs.debian.org
Cc: Javier Fernandez-Sanguino Penia <jfs@computer.org>
Subject: removal judgement for binstats
Date: Thu, 24 Feb 2005 17:51:36 +0100
[Message part 1 (text/plain, inline)]
Hi Javier

I'm currently in the process of going over all the packages owned by the
Debian QA Team and evaluate which ones are still usefull and wich ones
should be removed.

Below you find my report about binstats. Your package makejail depends
on binstats and I wanted to ask you if you would like to adopt it.

Gaudenz

Description: Statistics tool for installed programs

Usage statistic:
popcon vote: 78 , last bug real[1] report: 1 year 115 days

NMUs:
none

Bugs:
Total:  3 Real[1]: 3

Upstream:
nothing found

Dependency:
binstats
Reverse Depends:
  makejail

Time since O: 
1 month

Distributions:
  binstats |     1.08-5 |        stable | source, all
  binstats |     1.08-6 |       testing | source, all
  binstats |     1.08-6 |      unstable | source, all

Usefullness:
some people are using it, one package depends on it. Despite being dead
upstream this script seems to be somewhat usefull

Conclusion:
Ask Javier if he wants to adopt it, because makejail depends on it.

[1] Bugs filed by people actually careing about the package. No mass
bugs, ...

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#292019; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 292019@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 292019@bugs.debian.org
Subject: Re: removal judgement for binstats
Date: Sat, 26 Feb 2005 23:25:10 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 24, 2005 at 05:51:36PM +0100, Gaudenz Steinlin wrote:
> Hi Javier
> 
(...)
> 
> Below you find my report about binstats. Your package makejail depends
> on binstats and I wanted to ask you if you would like to adopt it.

Let me review the current status. I will probably adopt it.

Thanks for the info.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Angel Ramos <seamus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 292019-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 292019-close@bugs.debian.org
Subject: Bug#292019: fixed in binstats 1.08-7
Date: Sun, 27 Feb 2005 09:02:03 -0500
Source: binstats
Source-Version: 1.08-7

We believe that the bug you reported is fixed in the latest version of
binstats, which is due to be installed in the Debian FTP archive:

binstats_1.08-7.diff.gz
  to pool/main/b/binstats/binstats_1.08-7.diff.gz
binstats_1.08-7.dsc
  to pool/main/b/binstats/binstats_1.08-7.dsc
binstats_1.08-7_all.deb
  to pool/main/b/binstats/binstats_1.08-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated binstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 26 Feb 2005 23:25:48 +0100
Source: binstats
Binary: binstats
Architecture: source all
Version: 1.08-7
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Description: 
 binstats   - Statistics tool for installed programs
Closes: 146465 218647 292019
Changes: 
 binstats (1.08-7) unstable; urgency=low
 .
   * Adopting this package, as makejail Depends: on it (Closes: #292019)
   * Updated Standard-Versions:
     * Adjusted CFLAGS and LDFLAGS in debian/rules just in case
       the binaries are built again
     * Fixed binary-arch for the same reason, althoug the package remains
       Arch: all
   * Quote readlink calls (Closes: #218647)
   * Add the package to the unused library list (Closes: #146465)
   * Add a check to review which of the packages holding unused libraries
     are not used at all.
   * Redirect error output of the find call to /dev/null (in case it
     finds dangling symlinks)
   * Use mktemp instead of mkdir to prevent a race condition
   * Change the script so BSLOG and BSLOGTMP are created before they are
     used, this does not prevent some race conditions so don't run
     this script in untrusted directories.
   * Remove debugging output in Makefile, if present
Files: 
 843bff34c9ec8f3cbe6278beb53eb0d4 692 utils optional binstats_1.08-7.dsc
 f53cb2e5b15866712bb493ff96d3ae49 6421 utils optional binstats_1.08-7.diff.gz
 f0ee570988dabb32a62ab5d7941e75f5 15440 utils optional binstats_1.08-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iQCVAwUBQiHPT/tEPvakNq0lAQJJvwQAgiD6/L+TTZt0xPAc+yR+/zpYJ5/R+Sxn
uA/pamVgsj+yG9pUdC34yMZyytrXgfmG1fJU+OrXXqNGscMX6+k50r1OLr1KpB9X
QGsSAZhu4MPSAnkHnPb49wutBdumbWH6Y5chlXzjII6Z3IL8KpTvgNjzQEXfuZBj
sg5pHqN4K/U=
=vdrp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:59:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.